# TeXLily: A LaTeX and Lilypond bot for [matrix]

TeXlily is a TeX and Lilypond bot designed for [matrix]. It is made for
clients who does not support LaTeX, but also for people willing to share
sheet music to their friends using Lilypond.

## Dependencies

TeXily only has a few dependencies:

    - Python 3 (tested on 3.11)
        + `matrix-nio`
        + `pyaml`
        + `imagesize`
    - Lilypond
    - A distribution of TeX for `latex` and `dvipng` programs.

Python: `pip install -r requirements.txt`

Arch Linux: `sudo pacman -S lilypond texlive`

## Contributing

You can contribute directly using PRs, or you can just mail me patches to:
`lda@freetards.xyz` with a title starting with `PATCH FOR TEXLILY:`

To contribute, use PEP8 with 4 spaces.

## License

TeXlily's is under the AGPLv3. Check COPYING.AGPL for more information on the
license.
